Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.webapp
Class ResourceServlet

    java.lang.Object
      org.richfaces.webapp.ResourceServlet

All Implemented Interfaces:
  javax.servlet.Servlet

    public class ResourceServlet

extends Object
implements javax.servlet.Servlet

Servlet which serves resources for rich:editor component.

These resources are generated dynamically and some of them cannot be used with FacesServlet mappings by suffixes (e.g. .jsf). Therefore this servlet provides prefix mappings and serves only selected resources (from editor resource library) to avoid security problems.

Author:
  Lukas Fryc

Constructor Summary
`ResourceServlet()`

Method Summary
`void` | `destroy()`
`javax.servlet.ServletConfig` | `getServletConfig()`
`String` | `getServletInfo()`
`void` | `init(javax.servlet.ServletConfig config)`
`void` | `service(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceServlet

    public ResourceServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Throws:
    `javax.servlet.ServletException`

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

  Specified by:
    `getServletConfig` in interface `javax.servlet.Servlet`

### getServletInfo

    public String getServletInfo()

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`

### service

    public void service(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.